Skip to main content
POST
/
api
/
v1
/
transactions
/
{transaction_id}
/
attachments
Attach a document to a transaction
curl --request POST \
  --url https://api.hevn.finance/api/v1/transactions/{transaction_id}/attachments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "downloadLink": "<string>"
  }
]

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Path Parameters

transaction_id
string
required

Body

application/json

Body for POST /transactions/{id}/attachments.

documentId
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
createdAt
string<date-time>
required
name
string | null